%define upstream_name    String-Koremutake
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Convert to/from Koremutake Memorable Random Strings
License:	Artistic/GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/L/LB/LBROCARD/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Test::Exception)
BuildRequires:  perl(Error)
BuildArch:	noarch


%description
The String::Koremutake module converts to and from Koremutake Memorable Random
Strings.

The term "Memorable Random String" was thought up by Sean B. Palmer as a name
for those strings like dopynl, glargen, glonknic, spoopwiddle, and kebble etc.
that don't have any conventional sense, but can be used as random identifiers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc README CHANGES
%{perl_vendorlib}/String/*
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.300.0-11.mga10
+ Revision: 2207957
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.300.0-10.mga9
+ Revision: 1817352
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-9.mga8
+ Revision: 1497214
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.300.0-8.mga7
+ Revision: 1271234
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-7.mga6
+ Revision: 1033370
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.300.0-6.mga6
+ Revision: 944979
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-5.mga5
+ Revision: 738903
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-4.mga5
+ Revision: 686246
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 514723
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 372804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 31182
- mageia rebuild
- imported package perl-String-Koremutake


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.300.0-1mdv2010.0
+ Revision: 404417
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.30-6mdv2009.0
+ Revision: 241908
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 0.30-4mdv2008.0
+ Revision: 23890
- rebuild


* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.30-3mdk
- BuildRequires

* Wed May 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.30-2mdk
- BuildRequires

* Wed May 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.30-1mdk
- First Mandriva release

